# $Revision: 1.44 $, $Date: 2011/11/08 13:58:06 $
%define		_name		eaccelerator
%define		_sysconfdir	/etc/php4
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	eAccelerator module for PHP
Summary(pl.UTF-8):	Moduł eAccelerator dla PHP
Name:		php4-%{_name}
Version:	0.9.5
Release:	11
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/eaccelerator/%{_name}-%{version}.tar.bz2
# Source0-md5:	dad54af67488b83a2af6e30f661f613b
Source1:	%{name}.ini
URL:		http://eaccelerator.sourceforge.net/
BuildRequires:	php4-devel >= 3:4.1
BuildRequires:	rpmbuild(macros) >= 1.322
%requires_eq	php4-common
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Requires:	php(zlib)
Conflicts:	php-mmcache
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
eAccelerator is a further development from mmcache PHP Accelerator &
Encoder. It increases performance of PHP scripts by caching them in
compiled state, so that the overhead of compiling is almost completely
eliminated.

%description -l pl.UTF-8
eAccelerator to dalsze stadium rozwoju akceleratora i kodera PHP
mmcache. Zwiększa wydajność skryptów PHP poprzez zapamiętywanie ich w
postaci skompilowanej, dzięki czemu narzut potrzebny na kompilację
jest prawie całkowicie wyeliminowany.

%package webinterface
Summary:	WEB interface for PHP Accelerator
Summary(pl.UTF-8):	Interfejs WWW dla PHP Acceleratora
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description webinterface
PHP Accelerator can be managed through web interface script
eaccelerator.php. So you need to put this file on your web site. For
security reasons it is recommended to restrict the usage of this
script by your local IP and setup password based access.

More information you can find at %{url}.

%description webinterface -l pl.UTF-8
PHP Accelerator może być sterowany ze strony internetowej z
wykorzystaniem skryptu eaccelerator.php. Jedyne co trzeba zrobić, to
umieścić plik we właściwym miejscu na stronie internetowej. Z powodów
bezpieczeństwa zalecane jest, aby ograniczyć korzystanie ze skryptu do
lokalnego adresu i ustawić autoryzację hasłem.

Więcej informacji można znaleźć pod %{url}.

%prep
%setup -q -n %{_name}-%{version}

%build
phpize
%configure \
	--enable-eaccelerator=shared \
		--with-eaccelerator-shared-memory \
		--with-eaccelerator-sessions \
		--with-eaccelerator-content-caching \
		--with-eaccelerator-userid=http \
		--with-php-config=%{_bindir}/php-config
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{extensionsdir},%{_bindir},%{_sysconfdir}/conf.d,/var/cache/%{_name}}

install ./modules/eaccelerator.so $RPM_BUILD_ROOT%{extensionsdir}
install ./encoder.php $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_name}.ini

install -d $RPM_BUILD_ROOT/home/services/httpd/html/eaccelerator
cp -a doc/php/* $RPM_BUILD_ROOT/home/services/httpd/html/eaccelerator

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php4.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php4.conf ] || %service -q httpd restart
fi

%preun
if [ "$1" = 0 ]; then
	# remove last pieces of cache
	rm -f /var/cache/%{_name}/*
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_name}.ini
%attr(755,root,root) %{extensionsdir}/eaccelerator.so
%attr(755,root,root) %{_bindir}/encoder.php
%attr(770,root,http) /var/cache/%{_name}

%files webinterface
%defattr(644,root,root,755)
/home/services/httpd/html/eaccelerator

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php4-eaccelerator.spec,v $
Revision 1.44  2011/11/08 13:58:06  arekm
- release 11

Revision 1.43  2008/08/26 18:21:25  arekm
- release 10

Revision 1.42  2008/08/14 11:04:50  glen
- rebuild for rpm 4.4.9 for ac; rel 9

Revision 1.41  2008-01-28 17:41:51  glen
- rel 8

Revision 1.40  2008-01-28 14:12:10  glen
- rel 7

Revision 1.39  2008-01-24 02:36:22  glen
- rel 6

Revision 1.38  2007/05/22 20:00:55  glen
- rel 5

Revision 1.37  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.36  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.35  2006/11/26 16:14:48  glen
- php virtual extension deps

Revision 1.34  2006/11/26 14:17:31  glen
- adapter

Revision 1.33  2006/11/19 17:46:44  glen
- rel 2

Revision 1.32  2006/11/18 17:15:42  arekm
- up to 0.9.5

Revision 1.31  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.30  2006/08/19 09:57:44  adamg
- release 3 (rebuild against php4-4.4.4)

Revision 1.29  2006/08/10 17:37:21  adamg
- release 2 for real...; STBR AC

Revision 1.28  2006/08/10 14:27:28  qboosh
- tab

Revision 1.27  2006/08/10 12:58:10  adamg
- specify eaccelerator-userid for ppc,alpha,sparc (synced from
   php-eaccelerator.spec); release 2

Revision 1.26  2006/08/06 22:40:32  adamg
- force strict Requires - eaccelerator needs to be rebuilt after each version bump

Revision 1.25  2006/08/06 22:32:16  adamg
- updated to 0.9.4

Revision 1.24  2005/10/30 13:32:19  glen
- rel 5

Revision 1.23  2005/10/30 10:27:34  glen
- rebuild with zts and debug requires [FN]

Revision 1.22  2005/10/27 15:22:19  glen
- rebuild with php(debug) and php(thread-safety) macros
- rel 3

Revision 1.21  2005/09/15 20:10:37  glen
- rel 2

Revision 1.20  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.19  2005/09/13 21:15:34  glen
- use new php/zend api macros

Revision 1.18  2005/09/13 12:47:59  qboosh
- -webinterface cleanups

Revision 1.17  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.16  2005/09/11 23:16:20  ankry
- tabs

Revision 1.15  2005/09/11 22:39:20  glen
- full conf.d support and unifications

Revision 1.14  2005/09/11 21:05:32  glen
- only encoder.php in base package (but why?)

Revision 1.13  2005/09/11 20:57:42  glen
- fill files for -webinterface subpackage

Revision 1.12  2005/09/11 20:38:17  glen
- reverted last blind commit: here already was conf.d support

Revision 1.11  2005/09/11 17:45:04  hunter
- package: webinterface
- config file in php4/conf.d

Revision 1.10  2005/09/07 14:09:23  glen
- phpize already calls aclocal

Revision 1.9  2005/09/07 13:30:50  glen
- php{,4}-devel already Requires: auto{make,conf}

Revision 1.8  2005/08/24 11:00:24  glen
- add eaccelerator.ini
- add cachedir
- add more utility scripts

Revision 1.7  2005/08/24 10:25:10  glen
- use .ini file in conf.d directory

Revision 1.6  2005/06/13 06:54:58  prism
- up to 0.9.3

Revision 1.5  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.4  2005/01/21 11:59:37  dzeus
- typo

Revision 1.3  2005/01/11 20:06:57  glen
- remove R: apache

Revision 1.2  2004/12/30 12:08:40  arekm
- up to 0.9.2a

Revision 1.1  2004/12/30 12:06:32  arekm
- php4 version

Revision 1.5  2004/12/26 18:49:19  qboosh
- pl desc

Revision 1.4  2004/12/26 16:32:06  ankry
- formatting

Revision 1.3  2004/12/26 16:13:22  adasi
- OMT new URL

Revision 1.2  2004/12/26 16:11:50  adasi
- new Source0 URL

Revision 1.1  2004/12/26 15:32:30  adasi
- new spec, based on php-mmcache
